## coqprime 8.18

=== src/Coqprime/num/extraction/Makefile ===
OCAMLC=ocamlc 
OCAMLOPT=ocamlopt 
OCAMLDEP=ocamldep 
OCAMLLIB=eval ocamlc -where

GENML = datatypes.ml logic.ml peano.ml \
        binPos.ml binNat.ml binInt.ml \
        zmisc.ml zpower.ml basic_type.ml \
        genBase.ml genDivn1.ml genSqrt.ml genLift.ml \
        znZ.ml zn2Z.ml genWord.ml mod_op.ml 

GENMLI=$(GENML:.ml=.mli)

MLSOURCES=$(GENML) w31C.ml w64C.ml testlucas.ml

CMX=$(MLSOURCES:.ml=.cmx)
CM0=$(MLSOURCES:.ml=.cmo)


testlucas: $(CMX) uint31C.o uint64C.o
	$(OCAMLOPT) -o testlucas nums.cmxa uint31C.o uint64C.o $(CMX) 

testlucas.byte: $(CM0) uint31C.o uint64C.o
	$(OCAMLC) -o testlucas.byte nums.cma -custom uint31C.o uint64C.o $(CM0) 

uint31C.o: uint31C.c
	$(OCAMLOPT) -c uint31C.c

uint64C.o: uint64C.c
	$(OCAMLOPT) -c uint64C.c

clean_gen:
	rm -f $(GENML) $(GENMLI)  *~ 

clean_comp:
	rm -f test31C test64 *.cmi *.cmx *.o *~ *~

clean: clean_gen clean_comp

.SUFFIXES:  .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) -c  $<

.mli.cmi:
	$(OCAMLC)  -c $<

.ml.cmx:
	$(OCAMLOPT) -c $<


depend:
	$(OCAMLDEP) *.ml *.mli > .depend

include .depend

## coqprime 8.15

=== debian/changelog ===
coqprime (8.15-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 13:16:25 +0100

coqprime (8.15-1) unstable; urgency=medium

  * Initial release. (Closes: #1014940)

 -- Julien Puydt <jpuydt@debian.org>  Fri, 15 Jul 2022 10:22:26 +0200

=== debian/control ===
Source: coqprime
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-bignums,
               libcoq-core-ocaml-dev,
               libcoq-stdlib,
               libecm1-dev,
               libnum-ocaml-dev
Vcs-Browser: https://salsa.debian.org/ocaml-team/coqprime
Vcs-Git: https://salsa.debian.org/ocaml-team/coqprime.git
Homepage: https://github.com/thery/coqprime

Package: libcoq-coqprime
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Primality certification for Coq (library)
 Coqprime consists in:
  - a library of facts from number theory
  - a library for elliptic curves
  - an efficient library for modular arithmetic
  - tools to generate Pocklington and elliptic curve
 certificates of primality
 .
 Coq is a proof assistant for higher-order logic.
 .
 This package contains the Coq library part.

Package: coqprime-tools
Architecture: any
Depends: libcoq-coqprime (= ${binary:Version}),
         ocaml-base-nox | ocaml-base,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Primality certification for Coq (tools)
 Coqprime consists in:
  - a library of facts from number theory
  - a library for elliptic curves
  - an efficient library for modular arithmetic
  - tools to generate Pocklington and elliptic curve
 certificates of primality
 .
 Coq is a proof assistant for higher-order logic.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	# doesn't work

override_dh_auto_build:
	make
	cd gencertif ; autoreconf ; ./configure --prefix=/usr ; make

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp make install
	rm -rf $(CURDIR)/debian/tmp/usr/lib/ocaml/coq/user-contrib/Coqprime/examples
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	cp gencertif/firstprimes gencertif/o2v gencertif/pocklington $(CURDIR)/debian/tmp/usr/bin

## coqprime 8.17

=== debian/changelog ===
coqprime (8.17-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2023 17:16:17 +0100

coqprime (8.17-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2023 07:13:09 +0200

coqprime (8.17-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches (all upstreamed).
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 13 Jun 2023 07:08:59 +0200

## coqprime 8.18

=== debian/changelog ===
coqprime (8.18-1build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:18:31 +0200

coqprime (8.18-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:55:03 +0000

coqprime (8.18-1build1) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:15:59 +0000

coqprime (8.18-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1044267).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 17:18:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coqprime
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,15 @@
 	dh $@ --with coq
 
 override_dh_auto_clean:
-	# doesn't work
+	make clean
+	rm -f Makefile.coq Makefile.coq.conf .lia.cache .nia.cache
+	rm -f config.status configure
+	rm -f gencertif/Makefile gencertif/config.* gencertif/configure
+	rm -f gencertif/o2v gencertif/pocklington gencertif/firstprimes
+	rm -f src/Coqprime/num/Int63Compat.v
+	find . -name "*.aux" -delete
+	find . -name "*.cm*" -delete
+	find . -name "*.o" -delete
 
 override_dh_auto_build:
 	make

## coqprime 8.19

=== src/Coqprime/examples/Makefile ===
ifeq "$(COQBIN)" ""
  COQBIN=$(dir $(shell which coqtop))/
endif

%: Makefile.coq

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

tests: all
	@$(MAKE) -C tests -s clean
	@$(MAKE) -C tests -s all

-include Makefile.coq

=== debian/changelog ===
coqprime (8.19-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 19:20:24 +0200

coqprime (8.19-2build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 09:04:30 +0200

coqprime (8.19-2build1) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:41:34 +0200

coqprime (8.19-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2024 07:23:18 +0200

coqprime (8.19-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 09:59:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: coqprime
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

## coqprime 8.20

=== debian/changelog ===
coqprime (8.20-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Package new upstream.

  [ Julien Puydt ]
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Dec 2024 11:04:17 +0100

## coqprime 8.20.1

=== Makefile ===
ifeq "$(COQBIN)" ""
  COQBIN=$(dir $(shell which coqtop))/
endif

%: Makefile.coq

Makefile.coq: _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

tests: all
	@$(MAKE) -C tests -s clean
	@$(MAKE) -C tests -s all

-include Makefile.coq

include Makefile.coq.local-late

=== debian/changelog ===
coqprime (8.20.1-2) experimental; urgency=medium

  * Bump standards-version to 4.7.2.
  * Drop useless dbgsym package.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 10:18:33 +0100

coqprime (8.20.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Jan 2025 22:50:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
@@ -13,7 +13,7 @@
                libcoq-core-ocaml-dev,
                libcoq-stdlib,
                libecm1-dev,
-               libnum-ocaml-dev
+               libzarith-ocaml-dev
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coqprime
 Vcs-Git: https://salsa.debian.org/ocaml-team/coqprime.git
 Homepage: https://github.com/thery/coqprime

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom Coqprime PrimalityTest.Pocklington
Depends: coq, libcoq-coqprime

=== debian/watch ===
version=4
https://github.com/thery/coqprime/tags .*/v?([\d\.+]+).tar.gz
